profile
viewpoint

push eventtranscom/mymove

noelle barber

commit sha 62891f60f9204f67f418ababb72268bc037e5663

test that paymentServiceItemParams are not saved on payment request

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha d33f4215220c4c94c06640ae4d058cf3ec8eef92

add test for number of payment service items

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha e7dbf78b2fbe205ebbc118eba1dba48f433d5cf7

remove comments

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha f69ed6d57bf43e2fb5b4a8b0574df0d15052e054

erase comments

view details

push time in 2 months

PR opened transcom/mymove

MB-2737 Remove service item params in CreatePaymentRequestPayload

#3105 Description

In order to disable a Prime from passing service Item params through the Prime API create payment request endpoint, we're converting them to read-only's, and removing the params so as not to accept service item params as part of the payload.

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

Add any steps or code to run in this section to help others prepare to run your code:

echo "Code goes here"

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #g-database
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+49 -211

0 comment

6 changed files

pr created time in 2 months

create barnchtranscom/mymove

branch : nb-MB-2737-ignore-params

created branch time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 84dddd9700fcfb2f836c656843bfc79716d11522

create migration

view details

noelle barber

commit sha 7cd128604e60a86d048aeddab8b14e3de2cf17c5

deploy to experimental

view details

noelle barber

commit sha 2949b38210d9c74c74d3b8ea6eb2a88430ca1b30

revert experimental changes in config.yml

view details

noelle barber

commit sha 37fd0b4ee6932704fb820982844d8333887976de

experimental

view details

noelle barber

commit sha a0e9f21100821a8995bdc491eea30f2055e08f95

Revert "experimental" This reverts commit 37fd0b4ee6932704fb820982844d8333887976de.

view details

noelle barber

commit sha 4902e35ceef79086596fd0544115fa4218e5a9e3

Merge remote-tracking branch 'origin/master' into nb-MB-2799-import-fake-data

view details

noelle barber

commit sha 452d7b17540cb801ec39c4d176dbcf0eb59ec328

experimental deployment

view details

noelle barber

commit sha 773f8f71f5c2169c57cf8005917679a4e9866fba

Revert "experimental deployment" This reverts commit 452d7b17540cb801ec39c4d176dbcf0eb59ec328.

view details

Reggie Riser

commit sha 4c1cb1382254b2217d2e6e3f9ed279502e720289

Removed conversion to int/float as part of parsing for COPY statements

view details

noelle barber

commit sha ca2f4c8e1d58fc349013040c933b2361fa5ce8b1

Revert "Removed conversion to int/float as part of parsing for COPY statements" This reverts commit 4c1cb1382254b2217d2e6e3f9ed279502e720289.

view details

noelle barber

commit sha bd93e1314e9d61496f0ce5df4cfc3762f2582eb8

indicate that pricing migration is fake data in the migration name

view details

noelle barber

commit sha 87d1dbb41a1c90afb18dc64bf6f6d3d1ee374265

Merge remote-tracking branch 'origin/master' into nb-MB-2799-import-fake-data

view details

noelle barber

commit sha cf81756b188e5193723857b67fd0f28f03a27def

add migrations indicating fake data upload

view details

noelle barber

commit sha 0b981798f945628e4d1709d4167e9add631d2595

deploy to experimental

view details

noelle barber

commit sha b6fe1a1d45c1acfe52638c4d2fc86c3f0669a1f0

Revert "deploy to experimental" This reverts commit 0b981798f945628e4d1709d4167e9add631d2595.

view details

noelle barber

commit sha 9cb6b11e5e6312458e0ee7fd2f5a4e2875c41a1d

Merge remote-tracking branch 'origin/master' into nb-MB-2799-import-fake-data

view details

Noelle Barber

commit sha 7bf15b000afa1205d404380af47b9b1f4687919f

Merge pull request #4255 from transcom/nb-MB-2799-import-fake-data MB-2799 Import fake pricing data to staging/experimental

view details

push time in 2 months

delete branch transcom/mymove

delete branch : nb-MB-2799-import-fake-data

delete time in 2 months

PR merged transcom/mymove

Reviewers
MB-2799 Import fake pricing data to staging/experimental A-Team

Description

Follows steps outlined in https://dp3.atlassian.net/browse/MB-2262 to import and upload fake pricing data via secure migration

  • WIll not be deployed to production

  • Deployed to Staging & Experimental only

Steps for deploying to experimental:

  • https://github.com/transcom/mymove/wiki/deploy-to-experimental

  • https://github.com/transcom/mymove/wiki/migrate-the-database#secure-migrations-for-one-environment

Reviewer Notes

  • follow instructions in https://github.com/transcom/mymove/pull/4114
  • aws-vault login $AWS_PROFILE
  • open S3

Look for 20200615192021_import_pricing_data_june_2020.up.sql in the following folders

  • transcom-ppp-app-experimental-us-west-2/secure-migrations
  • transcom-ppp-app-staging-us-west-2/secure-migrations
  • transcom-ppp-app-prod-us-west-2/secure-migrations (this file should only contain a comment, no sql)

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #g-database
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+67888 -0

7 comments

2 changed files

noelledusahel

pr closed time in 2 months

push eventtranscom/mymove

Donald Thai

commit sha 0a804731181cea24f5e4fd7ff223952870855943

DatePickInput and tests

view details

Donald Thai

commit sha 1006a24cf00452491084d63c2cc6477c3c370d4d

DropdownInput and tests

view details

Donald Thai

commit sha 39039ba8ee50fd73c3227e13e0f30279b24ef58b

DutyStationInput and tests

view details

Donald Thai

commit sha b49206536108d2750429690ca7288b94b4aa9b67

Import new inputs

view details

Donald Thai

commit sha d6c8995227aa0f3ab1a85552dcbfd79cc820c998

Selectors for enums, department indicator, orders type, orders type detail

view details

Donald Thai

commit sha bdd3eb2001b6362e0b36cdae32858638ea782b12

selector for move order

view details

Donald Thai

commit sha fdb7bba152dd7950b6d8dd8dceff0c4d1124482e

Orders detail component, document viewer to hook up orders detail form

view details

Donald Thai

commit sha 699f891767b973ecee98dedf6b31f305c52ff8db

Revert changes for hooking up OrdersDetailForm

view details

Donald Thai

commit sha 2cbd8320e4101413ba6d0d527d9dd4cea169e558

Tests for OrdersDetailForm component

view details

Donald Thai

commit sha 83a2fb7920bd63f81fce820bbfe603e15a0520e9

make props required except for onReset

view details

Donald Thai

commit sha 9d6727d6d0328d1201ab42ca5ccf8d75572dca5f

update storybook for OrderDetailForm

view details

Donald Thai

commit sha ffdf3fe663c133945b2874caede981a4b0980c36

update description of story

view details

Donald Thai

commit sha fa09d86d855684d948541956b03db2c40bca2aaf

update onSubmit and onReset on form

view details

Donald Thai

commit sha dcf4635fe4384ae3c3258532ae2fa40e53f59a85

Merge remote-tracking branch 'origin/master' into ttv-mb-2345-too-edit-orders-fields

view details

Donald Thai

commit sha 7b3e52a9c479ce4df788859a6831103a0aca3899

OrdersDetailForm loki files

view details

Donald Thai

commit sha d5ec314403d479dab0c23394a853931f3f33185d

eslint fixes part 2

view details

Donald Thai

commit sha 8351c2f2a772d3b10ddddcd712bde3cfb4909be8

update description for labels on input

view details

Donald Thai

commit sha d220443a81e1c7ff058b7240f5f86895a844b70c

Update box shadow for focused state dutystation search box

view details

Donald Thai

commit sha b4f171bd1c8d8d3d9f1effe20094bed0d553a3bf

Merge remote-tracking branch 'origin/master' into ttv-mb-2345-too-edit-orders-fields

view details

Donald Thai

commit sha d5cea111e33ecc873938f673a6347d4d9539fb9f

remove console log from dutystation search box component

view details

push time in 2 months

push eventtranscom/mymove

Garrett Martin

commit sha ae5ef7649952de5c6df6a3dcfb1bcf45b258c695

WIP authorization component

view details

Garrett Martin

commit sha ad1ad4c326445b80a70a31b129b0bb6fbab0ec58

Use PrivateRoute component for authorization

view details

Garrett Martin

commit sha 15dd99affac0b842770faf79df1ec1a06abb59a9

Add initial application select screen and some more private route auth logic

view details

Garrett Martin

commit sha d0b55b1293e54776ca63c041c28cb66aed878e95

"Select application" link shows up when user has multiple roles

view details

Garrett Martin

commit sha 530c39b9ad7be437304a65310dc5c972331e642c

Add default office user role migration

view details

Garrett Martin

commit sha ed86b8ed8adbf3b32acf176bdaaa51907d445c47

Create default ppm office user role when creating new devlocal user

view details

Garrett Martin

commit sha e6d4ed6aac93e3241e623255165d8ac5a68f7214

Merge branch 'master' into gm-too-auth-redirect

view details

Garrett Martin

commit sha 82583d473be8f851fa3fac8254aecd33ad12ec8f

Add e2e tests for office user authorization

view details

Garrett Martin

commit sha adaf75ea8696400a4bce4c0d3eb807948e60ad05

Fix devlocal test

view details

Kim Allen

commit sha 44a16222dcb72ba90c84c1eba343ed18ffb323ba

Add service EstimateCalculator to replace UpdatePersonallyProcuredMoveEstimateHandler.updateEstimates()

view details

Garrett Martin

commit sha 05f352e7cb83176b63f1421bd79f0061fb3b5c7e

Use proper office user type

view details

Kim Allen

commit sha 7c97f79f9fd0838cf94752021375335efeb250eb

Create test suite for PPMEstimate and test file; add error wrapping to service functions and update formula to use destination duty station in service

view details

Garrett Martin

commit sha 0f3a27a8ae30d00ca391c75c3d3d329b856a35b8

Add more requiredRoles to private routes

view details

Garrett Martin

commit sha d3bd02a2aeca6afa7651519d684c4e630eafe5f1

Merge branch 'master' into gm-too-auth-redirect

view details

Kim Allen

commit sha b778d0491d90a4b685a4ce46e5feb16ca3ddc847

Start tests and pseudo-code (with incomplete data setup

view details

Kim Allen

commit sha 32601039e4583c8ea940cf4b8138203bc68ea667

Add successful test setup with first two tests

view details

Garrett Martin

commit sha 3f9f9585c019854dad21f0d79310d9b186cc61f9

Merge branch 'master' into gm-too-auth-redirect

view details

Kim Allen

commit sha 8a3a3c339decb122b4e7685f6afe643a9e0d324d

Add third subtest

view details

Kim Allen

commit sha 57ccdfe78caae35d629d495f04163970ff90e80e

Add Setup so that db can be cleared with each test

view details

Kim Allen

commit sha dc4ac4c3fa1eeda23add21d432113f1391789baf

Separate subtests into their own tests for database ease

view details

push time in 2 months

pull request commenttranscom/mymove

MB-2799 Import fake pricing data to staging/experimental

to change the name of the migraiton to import_fake_pricing_data_ i would need to write code in the script that differentiates between an upload of fake data vs real data. i guess it would look like an extra step in the script that asks the user whether this is real or fake data. would it be better to just give the fake data a contract code that indicates that its fake? like (Fake Truss Data)

I don't think the script has to change. You should be able to change the migration filename after the pricing-import script creates it -- just remember to also change the migrations_manifest.txt file accordingly. I'm also fine with import_pricing_data_fake (if you want to keep the same prefix) or whatever you'd like that makes it clear that it's not real data. That reminds me -- we will also need to clean up S3 to remove the old migration in each environment and add the new one when it's ready.

ok so you're talking about manually changing it right?

noelledusahel

comment created time in 2 months

pull request commenttranscom/mymove

MB-2799 Import fake pricing data to staging/experimental

I went ahead and had infra roll back the experimental database so we can run this migration against experimental again when we're ready (let's make it the last thing we do after reviewer approval but before merging).

See #4279 for a fix that will need to be merged into this PR after #4279 is approved.

Also, I think we should consider changing the name of the migration since import_pricing_data_june_2020 could imply this is real data. I'm thinking more like import_fake_pricing_data. We still need to get confirmation of the contract code we want to use.

With the fix from #4279, I checked all the re_* tables imported from this PR against a psql-loaded migration and they seemed to match. 🎉

to change the name of the migraiton to import_fake_pricing_data_ i would need to write code in the script that differentiates between an upload of fake data vs real data. i guess it would look like an extra step in the script that asks the user whether this is real or fake data. would it be better to just give the fake data a contract code that indicates that its fake? like (Fake Truss Data)

noelledusahel

comment created time in 2 months

GollumEvent

pull request commenttranscom/mymove

MB-2799 Import fake pricing data to staging/experimental

It looks like the contract code is set to Pricing. Is that what we want for the test data? I'm thinking we may need to make it more obvious this is test data rather than real pricing. Also, my PR #4250 assumed it was named TRUSS (which I just made up), so I'll need to change that accordingly to whatever the name is here.

Note that if we do decide to change the code, we'll need to restore the experimental DB to make the migration run again there (infra can help us with that -- we've done it several times before).

OK i definitely missed that the code 'Pricing' stuck, i meant for it to be 'june_2020' @jacquelineIO do you have any guidance on what Contract Code we want attached to this fake data?

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 773f8f71f5c2169c57cf8005917679a4e9866fba

Revert "experimental deployment" This reverts commit 452d7b17540cb801ec39c4d176dbcf0eb59ec328.

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 53d0ab9dd7bf8ec7d1896c1c39d005c9b81c786c

create new lookup for service area origin

view details

noelle barber

commit sha 4806e265dd206405345c59a0b79793adf173bdeb

add tests

view details

noelle barber

commit sha 4268e335c7b77c87d9814b69bac040a4953c2021

save on mtoshipment

view details

noelle barber

commit sha 2e5fae89195c0e6b014439571be932d6ad348e2b

create makeReZip3

view details

noelle barber

commit sha 752c1c15062de65aa5c84324d9ae933c4c267703

extend tests for nil pickupAddress, mtoShipment and MTOServiceItem

view details

Noelle Barber

commit sha 3f4ad61ef3ad59904cb7a44496b20ce20e4f01cb

Update service_area_origin_lookup.go

view details

Noelle Barber

commit sha 3332a28a705fe2f3f80eb1b30f4e81481ee60124

Merge pull request #4234 from transcom/nb-MB-1583-service-area-origin-lookup MB-1583 Implement Service Area Origin Lookup

view details

lindsay

commit sha 1e0cf98c31b6a7762225c7f44cbf2de9b976ecc9

Revert "add a GEX task: MB-104 (#4249)" (#4254) This reverts commit 20e68b51a5553d7b8a26029f4a616867469bc3da.

view details

noelle barber

commit sha a0e9f21100821a8995bdc491eea30f2055e08f95

Revert "experimental" This reverts commit 37fd0b4ee6932704fb820982844d8333887976de.

view details

noelle barber

commit sha 4902e35ceef79086596fd0544115fa4218e5a9e3

Merge remote-tracking branch 'origin/master' into nb-MB-2799-import-fake-data

view details

noelle barber

commit sha 452d7b17540cb801ec39c4d176dbcf0eb59ec328

experimental deployment

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 37fd0b4ee6932704fb820982844d8333887976de

experimental

view details

push time in 2 months

delete branch transcom/mymove

delete branch : nb-MB-1583-service-area-origin-lookup

delete time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 2949b38210d9c74c74d3b8ea6eb2a88430ca1b30

revert experimental changes in config.yml

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 7cd128604e60a86d048aeddab8b14e3de2cf17c5

deploy to experimental

view details

push time in 2 months

PR opened transcom/mymove

MB-2799 Import fake pricing data to staging/experimental

Description

Follows steps outlined in https://dp3.atlassian.net/browse/MB-2262 to import and upload fake pricing data via secure migration

  • WIll not be deployed to production

  • Deployed to Staging & Experimental only

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

Add any steps or code to run in this section to help others prepare to run your code:

echo "Code goes here"

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #g-database
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+67894 -0

0 comment

2 changed files

pr created time in 2 months

create barnchtranscom/mymove

branch : nb-MB-2799-import-fake-data

created branch time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 53d0ab9dd7bf8ec7d1896c1c39d005c9b81c786c

create new lookup for service area origin

view details

noelle barber

commit sha 4806e265dd206405345c59a0b79793adf173bdeb

add tests

view details

noelle barber

commit sha 4268e335c7b77c87d9814b69bac040a4953c2021

save on mtoshipment

view details

noelle barber

commit sha 2e5fae89195c0e6b014439571be932d6ad348e2b

create makeReZip3

view details

noelle barber

commit sha 752c1c15062de65aa5c84324d9ae933c4c267703

extend tests for nil pickupAddress, mtoShipment and MTOServiceItem

view details

Noelle Barber

commit sha 3f4ad61ef3ad59904cb7a44496b20ce20e4f01cb

Update service_area_origin_lookup.go

view details

Noelle Barber

commit sha 3332a28a705fe2f3f80eb1b30f4e81481ee60124

Merge pull request #4234 from transcom/nb-MB-1583-service-area-origin-lookup MB-1583 Implement Service Area Origin Lookup

view details

push time in 2 months

PR merged transcom/mymove

Reviewers
MB-1583 Implement Service Area Origin Lookup A-Team

Description

Add functionality to lookup the ServiceAreaOrigin Service Item Param when a payment request is made.

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

  • First run make db_dev_e2e_populate to ensure your database is setup with the E2E data.
  • Next, save this example JSON payload to a file called pr_payload.json
{
  "body": {
    "isFinal": false,
    "moveTaskOrderID": "9c7b255c-2981-4bf8-839f-61c7458e2b4d",
    "serviceItems": [
      {
        "id": "76055c99-0990-410c-a7c9-69373b0b53eb"
      }
    ]
  }
}
  • Ensure your server is running: make server_run

  • Create a payment request using that payload: go run ./cmd/prime-api-client --insecure create-payment-request --filename pr_payload.json | jq

  • Look at the DB and verify that the appropriate records appear in the payment_service_item_params table.

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #g-database
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions. z

+197 -0

1 comment

6 changed files

noelledusahel

pr closed time in 2 months

GollumEvent

Pull request review commenttranscom/mymove

MB-1583 Implement Service Area Origin Lookup

+package serviceparamvaluelookups++import (+	"database/sql"+	"fmt"++	"github.com/gofrs/uuid"++	"github.com/transcom/mymove/pkg/models"+	"github.com/transcom/mymove/pkg/services"+)++// ServiceAreaOriginLookup does lookup on actual weight billed+type ServiceAreaOriginLookup struct {

curious what you all this @gidjin & @reggieriser but it seems like a each lookup could easily have their own function rather than these lookups being structs with a lookup function. BUT the plus side is that https://github.com/transcom/mymove/blob/master/pkg/payment_request/service_param_value_lookups/service_param_value_lookups.go#L72 is reusable for all lookups.

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

Noelle Barber

commit sha 3f4ad61ef3ad59904cb7a44496b20ce20e4f01cb

Update service_area_origin_lookup.go

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 752c1c15062de65aa5c84324d9ae933c4c267703

extend tests for nil pickupAddress, mtoShipment and MTOServiceItem

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 2e5fae89195c0e6b014439571be932d6ad348e2b

create makeReZip3

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 4268e335c7b77c87d9814b69bac040a4953c2021

save on mtoshipment

view details

push time in 2 months

PR opened transcom/mymove

MB-1583 Implement service area origin lookup

Description

Explain a little about the changes at a high level.

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

Add any steps or code to run in this section to help others prepare to run your code:

echo "Code goes here"

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #g-database
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+107 -0

0 comment

3 changed files

pr created time in 2 months

create barnchtranscom/mymove

branch : nb-MB-1583-service-area-origin-lookup

created branch time in 2 months

GollumEvent

delete branch transcom/mymove

delete branch : nb-MB-1579-zipPickupAddressLookup

delete time in 2 months

push eventtranscom/mymove

noelle barber

commit sha e6f0e04b4b0feca46d96703bb9edb1a8bc20a05f

create zip pickup address lookup test

view details

Noelle Barber

commit sha b611bcab729bec3143071916d9f66718c6e147cb

Merge pull request #4205 from transcom/nb-MB-1579-zipPickupAddressLookup MB-1579 Lookup Zip for PickupAddress

view details

push time in 2 months

PR merged transcom/mymove

Reviewers
MB-1579 Lookup Zip for PickupAddress A-Team

Description

add the functionality to look up the zip pickup address service item param when a payment request is made.

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

  1. First run make db_dev_e2e_populate to ensure your database is setup with the E2E data.

  2. Next, save this example JSON payload (which references E2E UUIDs) to a file called pr_payload_dev.json:

    {
      "isFinal": false,
      "moveTaskOrderID": "da3f34cc-fb94-4e0b-1c90-ba3333cb7791",
      "serviceItems": [
        {
          "id": "3624d82f-fa87-47f5-a09a-2d5639e45c02"
        }
      ]
    }
    
  3. Ensure your server is running: make server_run

  4. Run this command to fetch the "available to prime" MTOs and look at the payment request state for the moveTaskOrderID above in the returned JSON: go run ./cmd/prime-api-client --insecure create-payment-request --filename pr_payload.json | jq

  5. Look at the payment_service_item_params table and you should not see any records.

  6. Now let's create a payment request using our payload above. There are two different ways to do this:

    • With the --filename flag: go run ./cmd/prime-api-client --insecure create-payment-request --filename pr_payload_dev.json | jq
    • From stdin: go run ./cmd/prime-api-client --insecure create-payment-request - < pr_payload_dev.json | jq
  7. Fetch the MTOs again and verify the payment request(s) you created are there: go run ./cmd/prime-api-client --insecure fetch-mtos | jq

  8. Look at the payment_service_item_params table and verify that there are now params that include ZipPickupAddress and that the value is the zip code for the pickup address mto_shipment.

  9. This query will also show you the key/value param pairs for an MTO service item id:

    select key, value from payment_service_item_params
    inner join payment_service_items psi on payment_service_item_params.payment_service_item_id = psi.id
    inner join service_item_param_keys sipk on payment_service_item_params.service_item_param_key_id = sipk.id
    where mto_service_item_id = '3624d82f-fa87-47f5-a09a-2d5639e45c02';
    

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #dp3-engineering
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+129 -0

1 comment

3 changed files

noelledusahel

pr closed time in 2 months

Pull request review commenttranscom/mymove

MB-1580 Add lookup function for Destination Address Zip

+package serviceparamvaluelookups++import (+	"errors"+	"fmt"+	"testing"++	"github.com/gofrs/uuid"++	"github.com/transcom/mymove/pkg/models"+	"github.com/transcom/mymove/pkg/services"+	"github.com/transcom/mymove/pkg/testdatagen"+)++func (suite *ServiceParamValueLookupsSuite) TestZipDestAddress() {+	key := "ZipDestAddress"

my only comment would be to use the constants defined in https://github.com/transcom/mymove/blob/master/pkg/models/service_item_param_key.go

gidjin

comment created time in 2 months

PR opened transcom/mymove

MB-1579 Lookup Zip for PickupAddress

Description

add the functionality to look up the zip pickup address service item param when a payment request is made.

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

  1. First run make db_dev_e2e_populate to ensure your database is setup with the E2E data.
  2. Next, save this example JSON payload (which references E2E UUIDs) to a file called pr_payload_dev.json:
    {
      "isFinal": false,
      "moveTaskOrderID": "da3f34cc-fb94-4e0b-1c90-ba3333cb7791",
      "serviceItems": [
        {
          "id": "3624d82f-fa87-47f5-a09a-2d5639e45c02"
        }
      ]
    }
    
    Note that the service item ID above is referencing the service DLH (domestic linehaul), which has RequestedPickupDate as an expected parameter.
  3. Ensure your server is running: make server_run
  4. Run this command to fetch the "available to prime" MTOs and look at the payment request state for the moveTaskOrderID above in the returned JSON: go run ./cmd/prime-api-client --insecure fetch-mtos | jq
  5. Look at the payment_service_item_params table and you should not see any records.
  6. Now let's create a payment request using our payload above. There are two different ways to do this:
    • With the --filename flag: go run ./cmd/prime-api-client --insecure create-payment-request --filename pr_payload_dev.json | jq
    • From stdin: go run ./cmd/prime-api-client --insecure create-payment-request - < pr_payload_dev.json | jq
  7. Fetch the MTOs again and verify the payment request(s) you created are there: go run ./cmd/prime-api-client --insecure fetch-mtos | jq
  8. Look at the payment_service_item_params table and verify that there are now params that include DistanceZip3 and that the value is the appropriate mileage from between the addresses in mto_shipment.
  9. This query will also show you the key/value param pairs for an MTO service item id:
    select key, value from payment_service_item_params
    inner join payment_service_items psi on payment_service_item_params.payment_service_item_id = psi.id
    inner join service_item_param_keys sipk on payment_service_item_params.service_item_param_key_id = sipk.id
    where mto_service_item_id = '3624d82f-fa87-47f5-a09a-2d5639e45c02';
    

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #dp3-engineering
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+129 -0

0 comment

3 changed files

pr created time in 2 months

create barnchtranscom/mymove

branch : nb-MB-1579-zipPickupAddressLookup

created branch time in 2 months

push eventtranscom/mymove

noelle barber

commit sha d5ddd1ba5ebeb91a3839d94e2e6417679f7f30c5

create new migration for pricing imports

view details

noelle barber

commit sha f41ae3eb4b4900840ab1b3e63cfa2fa00e4bbd58

notes

view details

noelle barber

commit sha 955d5fd42955cd1884f7ca8893920e122750e707

flesh our pgDump func

view details

noelle barber

commit sha f28ccd258af12df911ed476c54029dd1cedd64de

write bash script for pg-dump and creating a secure migration

view details

noelle barber

commit sha 36fb5b9374a66d5b438c9b0a3ffedf6fc75a4e56

add prompt to run GHC pricing parser

view details

noelle barber

commit sha 48d520574fda324a6401146211c9dfc897363c78

remove milmove gen files and commands

view details

noelle barber

commit sha 299abe4e6ca6b31a606a15176448baad7c4fba03

prompt user input for unique contract name

view details

noelle barber

commit sha 9645cbb86d0f60a640bb7173e5126afc3d4c9220

format input of contract name

view details

noelle barber

commit sha e909aababec97736253cff6a36f74f39274b3e5b

add a mkdir to create tmp/db directory

view details

noelle barber

commit sha 7883e9dda560e57ab4de09225c8cfc26873b2b17

move comment

view details

noelle barber

commit sha 26889db2482626a62e984a07d34bf8607645a538

change paths

view details

noelle barber

commit sha e6f65c67aacc1d21064c68f70e2c75924d0e7771

Merge remote-tracking branch 'origin/master' into nb-MB-2262-import-pricing-data

view details

noelle barber

commit sha a9ebc25e6e66a063c56f0d3e61099ef0818b3487

correct file paths

view details

noelle barber

commit sha 45e7e9a1d3ecc07bd8750c36b2d322b4c1313de2

add step for clearing Re tables

view details

noelle barber

commit sha 7752122f8d7602acddf767e5dcc9b9e262e767c5

convert loop to if/else statement

view details

noelle barber

commit sha 3d36af96e472536fe530413ab8aacbf6b17519f1

automate copying data from pg_dump to production migration file

view details

noelle barber

commit sha b6ac7919f255d680c373d6b01e7f977f50ddfb52

place sql query instructions on separate line

view details

noelle barber

commit sha 237dc6781a7a74a7058d2cf19da0c6ee8ad79b9a

add text to final instructions

view details

noelle barber

commit sha d6ee85484197dcd2b6eab41cc0a57ad50129b4b5

while loop until user enters a contract code

view details

noelle barber

commit sha ac26c457e27cd5c787d2908881d5263bc733a6f1

add step to automatically remove pg-dump file and move data to prod migration

view details

push time in 2 months

delete branch transcom/mymove

delete branch : nb-MB-2262-import-pricing-data

delete time in 2 months

PR merged transcom/mymove

Reviewers
MB-2262 create new migration for pricing imports A-Team

Description

  • We need a way to get GHC pricing data in to production
  • Write a script to Initiate a pg_dump of re_* tables (excluding re_services) after the pricing parser is complete
  • create a secure migration that will make data available in staging/experimental/production

Reviewer Notes

Creating a secure migration for pricing data is going to be handled by a developer for now. Are the instructions clear for you to follow?

Setup

Step 1: Run the Pricing Parser to populate data to re_ tables

1. make db_dev_reset db_dev_migrate
2. If your rate engine tables currently have records we want to clear them.
      Open psql-dev and run the following query: 
      TRUNCATE re_contracts, re_contract_years CASCADE;
3. rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser
4. ghc-pricing-parser --filename pkg/parser/pricing/fixtures/pricing_template_2019-09-19_fake-data.xlsx --display --contract-code=12346

Step 2: Run the pricing-import script Run the script and follow the prompts:

/bin/sh pricing-import

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #dp3-engineering
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+144 -0

0 comment

2 changed files

noelledusahel

pr closed time in 2 months

push eventtranscom/mymove

John Gedeon

commit sha d295cacbb9a0f0636c0a127c56835a8247f453f4

Rename setupTest to be more specific

view details

John Gedeon

commit sha 6b09825b842b26222a64ff659fc5db3087bc60e8

Add WeightEstimatedLookup function and tests

view details

John Gedeon

commit sha f93fd91b281c10e6758198b964e693bd213cacc0

Set default mock estimatedWeight in MTOShipment testdatagen

view details

John Gedeon

commit sha 02870a26656ecf72db3e6645c64275935b05b276

Update to set PrimeEstimatedWeight in test Cannot set PrimeEstimatedWeight by default in testdatagen for MTOShipment because PrimeEstimatedWeight cannot be updated once it is set.

view details

John Gedeon

commit sha 084eba2a88898c88d7335c0aa20c3d2077410946

Merge pull request #4183 from transcom/MB-1571_lookup_weight_estimated MB-1571 Add weight estimated lookup function

view details

noelle barber

commit sha 960f383a50ba2943ca2625ab1b95d57f8fb313df

Merge remote-tracking branch 'origin/master' into nb-MB-2262-import-pricing-data

view details

push time in 2 months

push eventtranscom/mymove

Garrett Martin

commit sha a2dab5b146a2f57a2f80252526732023b78ab6ce

Upgrade Node and react-uswds

view details

Garrett Martin

commit sha 12f119905a080a58d80fab040f64932900b697e8

Adjust prereqs and check-node-version script

view details

Garrett Martin

commit sha 886815be4d42cb1b22dd9e337ce412beea0152d2

Fix typo in scripts/check-node-version

view details

Garrett Martin

commit sha 2cd811f23eb5b89717b433d8308d0c8572457aef

Use new milmove-app docker image with upgraded node version

view details

Garrett Martin

commit sha 3e0c612555fc4fa255d5f514a980ef9e2ebd77d6

trying a different docker sha

view details

Garrett Martin

commit sha b1c77f5bc53e955b0084d227746957221b6f046d

Revert "trying a different docker sha" This reverts commit 3e0c612555fc4fa255d5f514a980ef9e2ebd77d6.

view details

Garrett Martin

commit sha bdcf4b3dedae847eaac4443afae83fcd1ab2fa57

Use correct docker image sha in circle config

view details

Garrett Martin

commit sha 2f028e62036f1d63a7f72da5183a7a82d36c987d

Be less specific about version number

view details

Garrett Martin

commit sha c60293e941edd105757b20a35a695b2082645f8b

Update milmove-app container sha

view details

Garrett Martin

commit sha 921812620828cb6178ed6e00f9af89f85df0c35d

Merge branch 'master' into gm-mb-2623-upgrade-node

view details

Garrett Martin

commit sha 40b83acc4d5cc54c1e598d84fa48c2704af5f718

Update loki reference images

view details

Garrett Martin

commit sha 256274c0d93260ba6bef516d9b64a23cbdd1bb82

Merge branch 'master' into gm-mb-2623-upgrade-node

view details

Garrett Martin

commit sha 64afbc919a03c135fd25642b88196d49ff5763bb

Updating loki reference images again

view details

Garrett Martin

commit sha 8690add4b5d007e9d71251ec1e0e458e3cf8264c

Add nodenv ADR

view details

Garrett Martin

commit sha e788e481d5ce5978f48c1d733748b032d264e78a

Fix Spelling

view details

dependabot-preview[bot]

commit sha 0fab4a50774a181c60fdc9c923be51dbaeb86954

Bump github.com/aws/aws-sdk-go from 1.31.7 to 1.31.8 Bumps [github.com/aws/aws-sdk-go](https://github.com/aws/aws-sdk-go) from 1.31.7 to 1.31.8. - [Release notes](https://github.com/aws/aws-sdk-go/releases) - [Changelog](https://github.com/aws/aws-sdk-go/blob/master/CHANGELOG.md) - [Commits](https://github.com/aws/aws-sdk-go/compare/v1.31.7...v1.31.8) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

dependabot-preview[bot]

commit sha d9486ab775b9d98b19f842b5c23bb3612d5461d0

Fix go modules

view details

Reggie Riser

commit sha 650fce6c245f49025b09c7a89f035418d61d73f1

Added migration to remove is_available_to_prime (zero-down migration)

view details

Garrett Martin

commit sha b05ec67c1c287aa9a8320cf07ec570802c18204b

Remove unnecessary @

view details

dependabot-preview[bot]

commit sha ffee5844c7991a960184853a13920c5bfc3ef8e4

Merge pull request #4178 from transcom/dependabot/go_modules/github.com/aws/aws-sdk-go-1.31.8

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 490b912a75c3e0b098286139ffa35ef5a670144d

remove typos

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha ac26c457e27cd5c787d2908881d5263bc733a6f1

add step to automatically remove pg-dump file and move data to prod migration

view details

push time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++#set up variable names used in script+readonly db_name=${DB_NAME:-dev_db}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}++# find current directory+readonly dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"++mkdir -p "${dir}"/../tmp/db+readonly path="${dir}/../tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run on clean rate engine tables+#++cat << EOM++To get started, make sure you have cleared all 're_' prefixed tables (rate engine tables), and run the pricing parser on your most recent ghc pricing template.++Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import++Setup:+  1. make db_dev_reset db_dev_migrate+  2. If your rate engine tables currently have records we want to clear them. Open psql-dev and run the following query:+     TRUNCATE re_contracts, re_contract_years CASCADE;+  3. rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  4. ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete++EOM++read -r -p "Have you run the above steps? (y/n) " answer++if [[ $answer == 'y' || $answer == 'Y' ]]+  then+   pg_dump -h "$db_host" -U "$db_user" "$db_name" -t re_* --data-only -T re_services --data-only > "$path"+      echo "Success pg-dump to tmp/db/pricing_import_dump.sql"+elif [[ $answer == 'n' || $answer == 'N' ]]+  then+    echo "See above instructions to run ghc pricing importer"+    exit+else+  echo "Enter Y or N, please."+  exit+fi++readonly local_secure_migrations_dir="${dir}/../migrations/app/secure"+readonly prod_migrations_temp_dir="${dir}/../tmp"++#+# Pre-flight checks+#++echo "Open tmp/db/pricing_import_dump.sql and find the contract code in the re_contracts table, paste it here followed by [ENTER]:"++read -r unique_contract_code+# make lowercase+unique_contract_code=$(echo "$unique_contract_code" | tr '[:upper:]' '[:lower:]')+# replace space with underscore+unique_contract_code="${unique_contract_code// /_}"++if [[ ! -d "$prod_migrations_temp_dir" ]]; then+  mkdir "$prod_migrations_temp_dir"+fi++readonly migration_name="import_pricing_data_${unique_contract_code}"++#+# Build secure migration file names+#++# Generate the secure migration filename:+# - remove ".up.fizz" from filename+# - remove "migrations/" from filename+# - append ".sql"+readonly version=$(date +"%Y%m%d%H%M%S")+readonly secure_migration_name="${version}_${migration_name}.up.sql"++readonly local_test_migration_name="${local_secure_migrations_dir}/${secure_migration_name}"+readonly prod_migration_name="${prod_migrations_temp_dir}/${secure_migration_name}"++#+# Build secure migration stub content+#++# Create empty file for local test migration+cat > "${local_test_migration_name}" << EOM+-- Local test migration.+-- This will be run on development environments.+-- It should mirror what you intend to apply on prod/staging/experimental+-- DO NOT include any sensitive data.+EOM++# Create empty file for real secure migration+cat > "${prod_migration_name}" << EOM+-- Production Migration!+-- This will be distributed to all deployed environments (e.g. experimental, staging, prod)+EOM++# insert migration from pg_dump into production migration+cp "${path}" "${prod_migration_name}"

i guess i could write straight to the prod_migration

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

noelle barber

commit sha d6ee85484197dcd2b6eab41cc0a57ad50129b4b5

while loop until user enters a contract code

view details

push time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++#set up variable names used in script+readonly db_name=${DB_NAME:-dev_db}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}++# find current directory+readonly dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"++mkdir -p "${dir}"/../tmp/db+readonly path="${dir}/../tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run on clean rate engine tables+#++cat << EOM++To get started, make sure you have cleared all 're_' prefixed tables (rate engine tables), and run the pricing parser on your most recent ghc pricing template.++Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import++Setup:+  1. make db_dev_reset db_dev_migrate+  2. If your rate engine tables currently have records we want to clear them. Open psql-dev and run the following query:+     TRUNCATE re_contracts, re_contract_years CASCADE;+  3. rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  4. ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete++EOM++read -r -p "Have you run the above steps? (y/n) " answer++if [[ $answer == 'y' || $answer == 'Y' ]]+  then+   pg_dump -h "$db_host" -U "$db_user" "$db_name" -t re_* --data-only -T re_services --data-only > "$path"+      echo "Success pg-dump to tmp/db/pricing_import_dump.sql"+elif [[ $answer == 'n' || $answer == 'N' ]]+  then+    echo "See above instructions to run ghc pricing importer"+    exit+else+  echo "Enter Y or N, please."+  exit+fi++readonly local_secure_migrations_dir="${dir}/../migrations/app/secure"+readonly prod_migrations_temp_dir="${dir}/../tmp"++#+# Pre-flight checks+#++echo "Open tmp/db/pricing_import_dump.sql and find the contract code in the re_contracts table, paste it here followed by [ENTER]:"++read -r unique_contract_code+# make lowercase+unique_contract_code=$(echo "$unique_contract_code" | tr '[:upper:]' '[:lower:]')+# replace space with underscore+unique_contract_code="${unique_contract_code// /_}"

oh gotcha

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 237dc6781a7a74a7058d2cf19da0c6ee8ad79b9a

add text to final instructions

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha b6ac7919f255d680c373d6b01e7f977f50ddfb52

place sql query instructions on separate line

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 3d36af96e472536fe530413ab8aacbf6b17519f1

automate copying data from pg_dump to production migration file

view details

push time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++readonly db_name=${DB_NAME:-db_dev}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}+mkdir -p tmp/db++readonly path="tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run+#++cat << EOM+To get started, make sure you have run the pricing parser on your most recent ghc pricing template+Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import++Setup:+  make db_dev_reset db_dev_migrate+  rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete++EOM++read -r -p "Have you run the ghc pricing parser? (y/n) " answer++while true+do+  case $answer in+   [yY]* ) pg_dump -h "$db_host" -U "$db_user" "$db_name" -t re_* --data-only -T re_services* --data-only > "$path"+    echo "Success pg-dump to tmp/db/pricing_import_dump.sql"+    break;;+  [nN]* ) echo "See above instructions to run ghc pricing importer"+    exit;;+  * )  exit;;+  esac+done++readonly dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"++readonly local_secure_migrations_dir="${dir}/../migrations/app/secure"+readonly prod_migrations_temp_dir="${dir}/../tmp"++#+# Pre-flight checks+#++echo "Open tmp/db/pricing_import_dump.sql and find the contract name in the re_contracts table, paste it here followed by [ENTER]:"++read -r unique_contract_name+# make lowercase+unique_contract_name=$(echo "$unique_contract_name" | tr '[:upper:]' '[:lower:]')+# replace space with underscore+unique_contract_name="${unique_contract_name// /_}"++if [[ -z ${unique_contract_name:-} ]]; then+  echo "usage: $0 <unique_contract_name>"+  exit 1+fi++if [[ ! -d "$prod_migrations_temp_dir" ]]; then+  mkdir "$prod_migrations_temp_dir"+fi++readonly migration_name="import_pricing_data_${unique_contract_name}"++#+# Build secure migration file names+#++# Generate the secure migration filename:+# - remove ".up.fizz" from filename+# - remove "migrations/" from filename+# - append ".sql"+readonly version=$(date +"%Y%m%d%H%M%S")+readonly secure_migration_name="${version}_${migration_name}.up.sql"++readonly local_test_migration_name="${local_secure_migrations_dir}/${secure_migration_name}"+readonly prod_migration_name="${prod_migrations_temp_dir}/${secure_migration_name}"++#+# Build secure migration stub content+#++# Create empty file for local test migration+cat > "${local_test_migration_name}" << EOM+-- Local test migration.+-- This will be run on development environments.+-- It should mirror what you intend to apply on prod/staging/experimental+-- DO NOT include any sensitive data.+EOM++# Create empty file for real secure migration+cat > "${prod_migration_name}" << EOM+-- Production Migration!+-- This will be distributed to all deployed environments (e.g. experimental, staging, prod)+EOM++#+# Display next steps for user+#++# directions for creating a secure migration: https://github.com/transcom/mymove/wiki/migrate-the-database#secure-migrations++cat << EOM+Generated migration files:++PG Dump: ${path}+Local test migration: ${local_test_migration_name}+Production migration: ${prod_migration_name}++Next:+    1. Open the pg dump file for changes to be deployed+    2. Edit the production migration to have the actual change you wish to deploy+    3. Copy the production migration into the local secure migration, scrubbing sensitive data

@jacquelineIO brought this up potentially as a separate story

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 7752122f8d7602acddf767e5dcc9b9e262e767c5

convert loop to if/else statement

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 45e7e9a1d3ecc07bd8750c36b2d322b4c1313de2

add step for clearing Re tables

view details

push time in 2 months

push eventtranscom/mymove

Harsha Murthy

commit sha 74247e971abda6dec18a720a56e504c6ad5d0ab0

WIP

view details

Harsha Murthy

commit sha bfe9e069af2336048d32d7a681bfae87f8702033

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha d6d69f6a18b823702cfe0401cbb3001ef2ab29f5

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 4c8d451d017bd4876f78e04a8766f0c28c4b2dac

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 68560479b5a63ed3e771178033e840f0ca113e37

Complete mapZipsToRateAreas mapZip3s

view details

Harsha Murthy

commit sha e46f61928b7d1fd5a8d431f0a77c84dc0537a9e4

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha a088a0b1f233b943d3f2ff5606e2aa95bbb47555

Complete mapZipsToRateAreas mapZip5s

view details

Harsha Murthy

commit sha ea6bd7e7998a5ea863adcfee25715baccdd7e04a

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 99505000409d42b2965333420ac2171f5aa98272

Update error messagess

view details

Harsha Murthy

commit sha 2bf2f50606f50ec7ca6fdaa39c6530a6446809c0

Revert fixture zip column headers

view details

Harsha Murthy

commit sha 8713dfae06249947d087856aca5828b925a1cea5

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 9ea86d2ac282ae4d071b89c60206af7d0fcfec28

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha bc2a95107507d66379f1928534f68afaf2c7a401

Remove duplicate Zip5s from tariff400ng_zip5_rate_areas fixture

view details

Harsha Murthy

commit sha 083b8ca377ab38f7c26dd7658c56e39f122a1196

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha 211987c628f7a99fc56e4d994f22c0ef0c283610

Begin tests

view details

Harsha Murthy

commit sha 255923f7255527602ed1c81c24fd03fad03deded

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha a5cb489994c50336fefffe29deb762d77a38334e

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha 64e528a7bdad7774ef83ff703cec0783ca7229e5

PR review changes

view details

Harsha Murthy

commit sha b56c1b2622ce0bb726fee1fbd80199e90f7f4778

Change re_zip3s lookup to include contract_id

view details

Harsha Murthy

commit sha f8e2aed1b08fddab9031e38a50c3aadb48d2c715

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

push time in 2 months

delete branch transcom/mymove

delete branch : nb-MB-1574-distance-zip3-lookup

delete time in 2 months

push eventtranscom/mymove

noelle barber

commit sha b736a3b52919a75671ddb86bd4531a477f6bdd80

create distance zip3 lookup and tests

view details

noelle barber

commit sha 98e805f3d1cacdbffb5ba6bd35b16aa56f5fac98

add test for unimplememted zip3Distance calculation

view details

noelle barber

commit sha aad269416c33e64ae4460322f8d7e16683c62f23

add zips to the zip3LatLong map to implement zip3distance function

view details

noelle barber

commit sha 12c347c6e7ce5247b84c21d34b432a1514c0d2b2

Merge remote-tracking branch 'origin/master' into nb-MB-1574-distance-zip3-lookup

view details

noelle barber

commit sha 80caf1df8451c0f4dfe09d6b25feed4a0be6b7ef

merge in new zip5to3 rules

view details

noelle barber

commit sha 50085eac712294d4ee16f785cdd29abfeb1ecb74

remove unnecessary setup in tests

view details

noelle barber

commit sha 80476a2e0845d08e501d0d3d77060264bf85cdfe

Merge remote-tracking branch 'origin/master' into nb-MB-1574-distance-zip3-lookup

view details

noelle barber

commit sha c040f9c15a54b61226455c59a8a00b35e1864bf8

expand tests

view details

noelle barber

commit sha 77d24a729aad61fac687240707f50019c0d09902

zip3lookup tests for pickupAddress & destinationAddress IDs

view details

noelle barber

commit sha 39d2b69c10835550472b66d94dbcd5a3c4dea9e0

tie test to notFoundError for pickupAddressID and destinationAddressID

view details

noelle barber

commit sha 9a4606c1a512c9118ef18969e08cd7041bea74a5

Merge remote-tracking branch 'origin/master' into nb-MB-1574-distance-zip3-lookup

view details

Noelle Barber

commit sha 62a55fb00f8e30824837baf7264a92196d1dd521

Merge pull request #4085 from transcom/nb-MB-1574-distance-zip3-lookup MB-1574 Implement a distance zip3 lookup for Payment Requests

view details

push time in 2 months

PR merged transcom/mymove

Reviewers
MB-1574 Implement a distance zip3 lookup for Payment Requests A-Team

Description

add the functionality to look up the zip3 distance service item param when a payment request is made.

Reviewer Notes

Currently we don't have a full list for mapping zip3's to latitude/longitude for calculating Zip3 Distance - will be handled in a future PR

in testing this PR, if the zip3 doesn't match one listed in the current mapping, expect NewUnsupportedPostalCodeError

Setup

Testing Dev

  1. First run make db_dev_e2e_populate to ensure your database is setup with the E2E data.
  2. Next, save this example JSON payload (which references E2E UUIDs) to a file called pr_payload_dev.json:
    {
      "isFinal": false,
      "moveTaskOrderID": "da3f34cc-fb94-4e0b-1c90-ba3333cb7791",
      "serviceItems": [
        {
          "id": "3624d82f-fa87-47f5-a09a-2d5639e45c02"
        }
      ]
    }
    
    Note that the service item ID above is referencing the service DLH (domestic linehaul), which has RequestedPickupDate as an expected parameter.
  3. Ensure your server is running: make server_run
  4. Run this command to fetch the "available to prime" MTOs and look at the payment request state for the moveTaskOrderID above in the returned JSON: go run ./cmd/prime-api-client --insecure fetch-mtos | jq
  5. Look at the payment_service_item_params table and you should not see any records.
  6. Now let's create a payment request using our payload above. There are two different ways to do this:
    • With the --filename flag: go run ./cmd/prime-api-client --insecure create-payment-request --filename pr_payload_dev.json | jq
    • From stdin: go run ./cmd/prime-api-client --insecure create-payment-request - < pr_payload_dev.json | jq
  7. Fetch the MTOs again and verify the payment request(s) you created are there: go run ./cmd/prime-api-client --insecure fetch-mtos | jq
  8. Look at the payment_service_item_params table and verify that there are now params that include DistanceZip3 and that the value is the appropriate mileage from between the addresses in mto_shipment.
  9. This query will also show you the key/value param pairs for an MTO service item id:
    select key, value from payment_service_item_params
    inner join payment_service_items psi on payment_service_item_params.payment_service_item_id = psi.id
    inner join service_item_param_keys sipk on payment_service_item_params.service_item_param_key_id = sipk.id
    where mto_service_item_id = '3624d82f-fa87-47f5-a09a-2d5639e45c02';
    

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #dp3-engineering
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+173 -1

0 comment

4 changed files

noelledusahel

pr closed time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++readonly db_name=${DB_NAME:-db_dev}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}+mkdir -p tmp/db++readonly path="tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run+#++cat << EOM+To get started, make sure you have run the pricing parser on your most recent ghc pricing template+Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import++Setup:+  make db_dev_reset db_dev_migrate+  rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete++EOM++read -r -p "Have you run the ghc pricing parser? (y/n) " answer++while true

yea i had that originally, now anything other tham y/n is an exit character.

noelledusahel

comment created time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++readonly db_name=${DB_NAME:-db_dev}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}+mkdir -p tmp/db++readonly path="tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run+#++cat << EOM+To get started, make sure you have run the pricing parser on your most recent ghc pricing template+Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import++Setup:+  make db_dev_reset db_dev_migrate+  rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete++EOM++read -r -p "Have you run the ghc pricing parser? (y/n) " answer++while true+do+  case $answer in+   [yY]* ) pg_dump -h "$db_host" -U "$db_user" "$db_name" -t re_* --data-only -T re_services* --data-only > "$path"+    echo "Success pg-dump to tmp/db/pricing_import_dump.sql"+    break;;+  [nN]* ) echo "See above instructions to run ghc pricing importer"+    exit;;+  * )  exit;;+  esac+done++readonly dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"++readonly local_secure_migrations_dir="${dir}/../migrations/app/secure"+readonly prod_migrations_temp_dir="${dir}/../tmp"++#+# Pre-flight checks+#++echo "Open tmp/db/pricing_import_dump.sql and find the contract name in the re_contracts table, paste it here followed by [ENTER]:"

👍 def 'code' then

noelledusahel

comment created time in 2 months

push eventtranscom/mymove

Harsha Murthy

commit sha 74247e971abda6dec18a720a56e504c6ad5d0ab0

WIP

view details

Harsha Murthy

commit sha bfe9e069af2336048d32d7a681bfae87f8702033

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha d6d69f6a18b823702cfe0401cbb3001ef2ab29f5

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 4c8d451d017bd4876f78e04a8766f0c28c4b2dac

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 68560479b5a63ed3e771178033e840f0ca113e37

Complete mapZipsToRateAreas mapZip3s

view details

Harsha Murthy

commit sha e46f61928b7d1fd5a8d431f0a77c84dc0537a9e4

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha a088a0b1f233b943d3f2ff5606e2aa95bbb47555

Complete mapZipsToRateAreas mapZip5s

view details

Harsha Murthy

commit sha ea6bd7e7998a5ea863adcfee25715baccdd7e04a

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 99505000409d42b2965333420ac2171f5aa98272

Update error messagess

view details

Harsha Murthy

commit sha 2bf2f50606f50ec7ca6fdaa39c6530a6446809c0

Revert fixture zip column headers

view details

Harsha Murthy

commit sha 8713dfae06249947d087856aca5828b925a1cea5

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753-map-zip-to-rate-areas

view details

Harsha Murthy

commit sha 9ea86d2ac282ae4d071b89c60206af7d0fcfec28

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha bc2a95107507d66379f1928534f68afaf2c7a401

Remove duplicate Zip5s from tariff400ng_zip5_rate_areas fixture

view details

Harsha Murthy

commit sha 083b8ca377ab38f7c26dd7658c56e39f122a1196

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha 211987c628f7a99fc56e4d994f22c0ef0c283610

Begin tests

view details

Harsha Murthy

commit sha 255923f7255527602ed1c81c24fd03fad03deded

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha a5cb489994c50336fefffe29deb762d77a38334e

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

Harsha Murthy

commit sha 64e528a7bdad7774ef83ff703cec0783ca7229e5

PR review changes

view details

Harsha Murthy

commit sha b56c1b2622ce0bb726fee1fbd80199e90f7f4778

Change re_zip3s lookup to include contract_id

view details

Harsha Murthy

commit sha f8e2aed1b08fddab9031e38a50c3aadb48d2c715

Merge branch 'master' of github.com:transcom/mymove into hm-MB-1753

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 39d2b69c10835550472b66d94dbcd5a3c4dea9e0

tie test to notFoundError for pickupAddressID and destinationAddressID

view details

push time in 2 months

push eventtranscom/mymove

Shauna Keating

commit sha 7f4ca5322e108d5692612c04a0b7a3f0fcd8a273

adds markup for system level error to alerts

view details

Shauna Keating

commit sha af23aa9c3267c002d08029385f352b40ff0ec163

adds background color to system level error

view details

Shauna Keating

commit sha 2619ae8ae2bb1a30fb89e53a99b5d9d83c432418

removes left border from system level error

view details

Shauna Keating

commit sha 4e92fb278e14b32f2d9b38c3078fb84032749002

removes before attribute that was adding the left border to the system level alert

view details

Shauna Keating

commit sha d22b8b06d714c4ab93ebbfa40c6a40cd79c84f1a

resolves eslint error

view details

Shauna Keating

commit sha 4a504eaca0524a90b9aa3228565df40c4d4be67c

adds in a space that was missing

view details

Shauna Keating

commit sha 4ab2f6f6f0a0b689ed17e432d32b6f3d43b61c7e

adds new loki images

view details

Shauna Keating

commit sha bdda5b5062f98a15dd9790fb62981f930fb60538

utilizes data point component in table stands spec

view details

Shauna Keating

commit sha a7f71430aaffef7e2fb1152f01cc063be3c5a400

bolds the link text in the system level alert and removes a superfluous class name

view details

Shauna Keating

commit sha 760afe762dbe577890c3efa3d8ca1ffcb859b79f

updates loki images

view details

Shauna Keating

commit sha a8c0c7a663f5298021e806007a78b3f18cba4ab4

Merge branch 'master' into MB-2562_Alert-Update

view details

Shauna Keating

commit sha 56aed7bd493cfdf32f50dbb09932a2fa5a4e2a59

resolves merge conflict

view details

Shauna Keating

commit sha 83cb8267b7f6e811c38331fb9996c1d0c82cf615

fix another mere conflict

view details

Shauna Keating

commit sha 2d1bb63693c118ea9d9060adf3c8013bdd826036

resolves eslint error

view details

Shauna Keating

commit sha e61ca83f519ba97c960000b742dd108ec022394a

adds custom class option to data point

view details

Shauna Keating

commit sha 11b61e7923cee6ed73849280824579bb092c64ba

Merge branch 'master' into MB-2563_data-point-compact

view details

Shauna Keating

commit sha 256c76769884c23d6fc05afbad4ee13b8be2d941

updates loki images

view details

Ryan Koch

commit sha fcda2d5ab6c5cffdf21aa6a0da24625dd4b58f69

Use MoveOrderId for now

view details

dependabot-preview[bot]

commit sha bc037f7c9f29bcd848082ed2c8149104e8d9ab86

Bump yup from 0.28.5 to 0.29.0 Bumps [yup](https://github.com/jquense/yup) from 0.28.5 to 0.29.0. - [Release notes](https://github.com/jquense/yup/releases) - [Changelog](https://github.com/jquense/yup/blob/master/CHANGELOG.md) - [Commits](https://github.com/jquense/yup/compare/v0.28.5...v0.29.0) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

dependabot-preview[bot]

commit sha c99c44b44749029abcaa3d35ab806655a917595a

Bump mockdate from 2.0.5 to 3.0.2 Bumps [mockdate](https://github.com/boblauer/MockDate) from 2.0.5 to 3.0.2. - [Release notes](https://github.com/boblauer/MockDate/releases) - [Changelog](https://github.com/boblauer/MockDate/blob/master/CHANGELOG.md) - [Commits](https://github.com/boblauer/MockDate/compare/v2.0.5...v3.0.2) Signed-off-by: dependabot-preview[bot] <support@dependabot.com>

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 7883e9dda560e57ab4de09225c8cfc26873b2b17

move comment

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha e909aababec97736253cff6a36f74f39274b3e5b

add a mkdir to create tmp/db directory

view details

push time in 2 months

push eventtranscom/mymove

noelle barber

commit sha 9645cbb86d0f60a640bb7173e5126afc3d4c9220

format input of contract name

view details

push time in 2 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++readonly db_name=${DB_NAME:-db_dev}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}++readonly path="tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run+#++cat << EOM+To get started, make sure you have run the pricing parser on your most recent ghc pricing template+Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import+Setup:+  make db_dev_reset db_dev_migrate+  rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete+EOM++read -r -p "Have you run the ghc pricing parser? (y/n) " answer++while true+do+  case $answer in+   [yY]* ) pg_dump -h "$db_host" -U "$db_user" "$db_name" -t re_* --data-only -T re_services* --data-only > "$path"+    echo "Success pg-dump to tmp/db/pricing_import_dump.sql"+    break;;+  [nN]* ) echo "See above instructions to run ghc pricing importer"+    exit;;+  * )     echo "enter Y or N, please."; exit;;+  esac+done++#/bin/bash ./scripts/generate-secure-migration "import_pricing_data"++# directions on https://github.com/transcom/mymove/wiki/migrate-the-database#secure-migrations++readonly dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"++readonly local_secure_migrations_dir="${dir}/../migrations/app/secure"+readonly prod_migrations_temp_dir="${dir}/../tmp"++#+# Pre-flight checks+#++echo "Open tmp/db/pricing_import_dump.sql and copy the contract name in the re_contracts table, paste it here followed by [ENTER]:"

Now that the PGDUMP is complete, there should be a single row table with a unique contract name. This is going to make our migration name unique & identifiable.

noelledusahel

comment created time in 3 months

push eventtranscom/mymove

noelle barber

commit sha 299abe4e6ca6b31a606a15176448baad7c4fba03

prompt user input for unique contract name

view details

push time in 3 months

Pull request review commenttranscom/mymove

MB-2262 create new migration for pricing imports

+#! /usr/bin/env bash++set -eu -o pipefail++readonly db_name=${DB_NAME:-db_dev}+readonly db_user=${DB_USER:-postgres}+readonly db_host=${DB_HOST:-localhost}++readonly path="tmp/db/pricing_import_dump.sql"++#+# Ensure Pricing Parser has been run+#++cat << EOM+To get started, make sure you have run the pricing parser on your most recent ghc pricing template+Overview of steps is in the wiki at https://github.com/transcom/mymove/wiki/ghc-pricing-import+Setup:+  make db_dev_reset db_dev_migrate+  rm -f bin/ghc-pricing-parser && make bin/ghc-pricing-parser+  ghc-pricing-parser --filename <path_to_xlsx_pricing_template> --display --contract-code=<Unique Code>++Due to the size of pricing template, this may take several minutes to complete+EOM++read -r -p "Have you run the ghc pricing parser? (y/n) " answer

Prompt user to confirm or deny that they've run the importer.

noelledusahel

comment created time in 3 months

push eventtranscom/mymove

noelle barber

commit sha 48d520574fda324a6401146211c9dfc897363c78

remove milmove gen files and commands

view details

push time in 3 months

push eventtranscom/mymove

noelle barber

commit sha f28ccd258af12df911ed476c54029dd1cedd64de

write bash script for pg-dump and creating a secure migration

view details

noelle barber

commit sha 36fb5b9374a66d5b438c9b0a3ffedf6fc75a4e56

add prompt to run GHC pricing parser

view details

push time in 3 months

push eventtranscom/mymove

noelle barber

commit sha 50085eac712294d4ee16f785cdd29abfeb1ecb74

remove unnecessary setup in tests

view details

push time in 3 months

push eventtranscom/mymove

Shimona Carvalho

commit sha 5dc329b3388322aef4de2535cfbc9bad95a82ca0

Add trace middleware to prime and support api

view details

Donald Thai

commit sha 89b381c9a155b07c895f62543db6afa826e9f3e5

refactor shipment container to take in shipment type

view details

Donald Thai

commit sha 4ce7be72721ec6e0a295e4c1ff3713991a76c885

update radius of container

view details

Ryan Koch

commit sha 83487505e92d0b2f014b88d386cd39a2b53ced13

Merge branch 'MB-2333-too-orders-table-move-details' into MB-2333-place-orders-table-too-move-details

view details

Ryan Koch

commit sha d1bc617e605f0e9dd129adb3622418dfcacd4d11

Merge branch 'MB-2333-too-orders-table-move-details' into MB-2333-place-orders-table-too-move-details

view details

Sandy Wright

commit sha a61f30147c91d15b0b619fed0cbb0c3c7f638e6f

MB-2476 Remove mto ID from create shipment path

view details

Sandy Wright

commit sha af146931fcb8091570e4da66506060e2338be26a

MB-2476 Remove mto & ship IDs from create service item path

view details

Kim Allen

commit sha 2f90be8cbaf68114e4a4f5940e732356564cb792

Create a getPPMSITEstimate fn to entities ppm.js

view details

Donald Thai

commit sha a1823e9bc70168815cd88052c14fd4a4dd3dd3e7

chevron down svg image

view details

Donald Thai

commit sha 82b1b43480dc2eafeebdfe37c3047183ed01eeb1

constants for shipment types

view details

Donald Thai

commit sha 7902098a5e52525b084f26354d2350aa583277fe

new requested shipments component

view details

Donald Thai

commit sha d5e92b241f7d7ce43cc3bd2967f93d2778203908

refactored shipment container component to use different shipment types

view details

Donald Thai

commit sha 1b20977b5061f0f7e0efcd154bb78441d3349cc6

shipment display component

view details

Donald Thai

commit sha 638faf054de74c152b615f704b9ddf294084d784

chevron left justified

view details

Donald Thai

commit sha 5ee0b2895df159bcd0b8bb0eda2dbaea219de611

Merge remote-tracking branch 'origin/master' into ttv-mb-2441-shipment-display-component

view details

Donald Thai

commit sha 9698dfca38f008de462787c0d60b132927e59df1

loki approve changes

view details

Sandy Wright

commit sha 97557a61547c2c1238eb02cc60157c4b79411d1a

MB-2476 Refactor cli cmd for create service items

view details

Sandy Wright

commit sha fa2cc29484de44ee94819b1f31fd84abb954cb06

MB-2476 Update request paths in tests

view details

Sandy Wright

commit sha b645a0b54d9019cb2bea6330f99993931dfd9242

MB-2476 Fix service items params reference

view details

Donald Thai

commit sha 6009199c4d2fbe27d96d4bc5f16f8babcc7a7b31

refactored parameters for classNames usage

view details

push time in 3 months

push eventtranscom/mymove

noelle barber

commit sha f41ae3eb4b4900840ab1b3e63cfa2fa00e4bbd58

notes

view details

noelle barber

commit sha 955d5fd42955cd1884f7ca8893920e122750e707

flesh our pgDump func

view details

push time in 3 months

PR opened transcom/mymove

MB-2262 create new migration for pricing imports

Description

  • We need a way to get GHC pricing data in to production
  • initiate a pg dump of re_* tables after the pricing parser is complete
  • create a migration that will make data available in staging

Reviewer Notes

Is there anything you would like reviewers to give additional scrutiny?

Setup

Add any steps or code to run in this section to help others prepare to run your code:

echo "Code goes here"

Code Review Verification Steps

  • [ ] Code follows the guidelines for Logging
  • [ ] The requirements listed in Querying the Database Safely have been satisfied.
  • Any new migrations/schema changes:
    • [ ] Follow our guidelines for zero-downtime deploys (see Zero-Downtime Deploys)
    • [ ] Have been communicated to #dp3-engineering
    • [ ] Secure migrations have been tested following the instructions in our docs
  • [ ] There are no aXe warnings for UI.
  • [ ] This works in Supported Browsers and their phone views (Chrome, Firefox, IE, Edge).
  • [ ] Tested in the Experimental environment (for changes to containers, app startup, or connection to data stores)
  • [ ] User facing changes have been reviewed by design.
  • [ ] Request review from a member of a different team.
  • [ ] Have the Jira acceptance criteria been met for this change?

References

Screenshots

If this PR makes visible UI changes, an image of the finished UI can help reviewers and casual observers understand the context of the changes. A before image is optional and can be included at the submitter's discretion.

Consider using an animated image to show an entire workflow instead of using multiple images. You may want to use GIPHY CAPTURE for this! 📸

Please frame screenshots to show enough useful context but also highlight the affected regions.

+125 -0

0 comment

2 changed files

pr created time in 3 months

create barnchtranscom/mymove

branch : nb-MB-2262-import-pricing-data

created branch time in 3 months

Pull request review commenttranscom/mymove

[MB-2533] Update fetch MTOs handler to return additional payment request data

 definitions:         example: 1234-5678-1         readOnly: true         type: string+      proofOfServiceDocs:+        $ref: '#/definitions/ProofOfServiceDocs'+      paymentServiceItems:

clearly not needed but is it ever helpful to include type here?

reggieriser

comment created time in 3 months

Pull request review commenttranscom/mymove

MB-1574 Implement a distance zip3 lookup for Payment Requests

 func Zip5ToLatLong(zip5 string) (LatLong, error) { 	return ll, err } +// zip3ToLatLongMap maps Zip3 (as int) to LatLong according to+// https://simplemaps.com/data/us-cities+var zip3ToLatLongMap = map[int]LatLong{

this'll be expanded in a future PR

noelledusahel

comment created time in 3 months

push eventtranscom/mymove

noelle barber

commit sha aad269416c33e64ae4460322f8d7e16683c62f23

add zips to the zip3LatLong map to implement zip3distance function

view details

push time in 3 months

delete branch transcom/mymove

delete branch : nb-MB-2611-add-create-shipment-to-primeapiclient

delete time in 3 months

push eventtranscom/mymove

noelle barber

commit sha 98e805f3d1cacdbffb5ba6bd35b16aa56f5fac98

add test for unimplememted zip3Distance calculation

view details

push time in 3 months

more